<%
  String.prototype.capitalize = function() {
      return this.charAt(0).toUpperCase() + this.slice(1);
  }
%>
<div class="single-question-charts even-margins-sm">
	<h2>
		Single Question Analytics
	</h2>

	<div class="row">
		<div class="col-sm-12">
			<div class="card">
				<div class="card-header" style="text-align:center">
					<h3>Question info</h3>
				</div>
				<div id="single-question-info" class="card-body" style="height:250px">
				</div>
			</div>
		</div>
	</div>

	<div class="card graybg">
		<div class="even-margins-sm">
			<div class="row">
				<div class="col-sm-12">
					<label>Grouping Time Interval:</label>
				</div>
			</div>

			<div class="row">
				<div class="col-sm-12">
					<div class="btn-group">
						<label class="btn btn-outline-primary btn-sm question-options">
							<input type="radio" name="interval-choice" value="none" checked>No Grouping
						</label>
						<% for (var i = 0; i < timeIntervals.length; i++) { %>
							<label class="btn btn-outline-primary btn-sm question-options">
								<input type="radio" name="interval-choice" value='<%= timeIntervals[i] %>'><%- timeIntervals[i].capitalize() %>
							</label>
						<% } %>
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="row">
		<div class="col-sm-8">
			<div class="single-question-barchart"></div>
		</div>
		<div class="col-sm-4">
			<div class="question-percentage-piechart"></div>
		</div>		
	</div>
	<!--<div class="row">
		<div class="col-sm-8">
			<div class="single-question-linechart"></div>
		</div>
	</div>-->
</div>